regina-core.h File Reference

Core definitions that must be included in every Regina header file. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Macros

#define | REGINA_INLINE_REQUIRED inline
| A synonym for `inline`, used in some special cases to avoid noisy warnings under Windows. More...
#define | REGINA_API
| All non-templated, non-static functions, classes and global variables that are part of Regina's public interface must be declared with REGINA_API. More...
#define | REGINA_LOCAL
| Classes and functions that are local to the current compilation unit and should not be publicly exported may be declared with REGINA_LOCAL. More...
#define | REGINA_DEPRECATED
| Any deprecated class, function, typedef or constant in Regina's API must be declared with REGINA_DEPRECATED. More...
#define | REGINA_DEPRECATED_ENUM
| Any deprecated enumeration constant in Regina's API must be declared with REGINA_DEPRECATED_ENUM. More...

## Functions

constexpr bool | regina::standardDim (int dim)
| Indicates whether the given dimension is one of Regina's standard dimensions. More...

## Detailed Description

Core definitions that must be included in every Regina header file.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).